#include <bits/stdc++.h>
using namespace std;
#define rep(i, a, b) for(int i = a; i < (b); ++i)
#define all(x) begin(x), end(x)
#define sz(x) (int)(x).size()
typedef long long ll;
typedef pair<int, int> pii;
typedef vector<int> vi;

int calc(unordered_set<int> &starts, int curr_pow, int target, bool direc) {
	if(curr_pow == 1) return 1;

	unordered_set<int> next;

	for(int pos : starts) {
		int row = 1;
		while(true) {
			int end = pos + row * curr_pow * (direc ? 1 : -1);
			if(end < 0 || end > target) break;
			next.insert(end);
			if(end == target) return curr_pow;
			row++;
		}
	}

	return calc(next, curr_pow - 1, target, !direc);
}

int main() {
	cin.tie(0)->sync_with_stdio(0);
	cin.exceptions(cin.failbit);

	int T; cin >> T;
	while(T--) {
		int s, k; cin >> s >> k;

		unordered_set<int> starts;
		starts.insert(0);

		cout << calc(starts, k, s, true) << '\n';
	}
}
